SDL_waylandevents_c.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_waylandvideo.h"`
`#include "SDL_waylandwindow.h"`
`#include "SDL_waylanddatamanager.h"`
Include dependency graph for SDL_waylandevents_c.h:

Go to the source code of this file.

## Functions

void | Wayland_PumpEvents (_THIS)
void | Wayland_display_add_input (SDL_VideoData *d, uint32_t id)
void | Wayland_display_destroy_input (SDL_VideoData *d)
SDL_WaylandDataDevice * | Wayland_get_data_device (struct SDL_WaylandInput *input)
void | Wayland_display_add_pointer_constraints (SDL_VideoData *d, uint32_t id)
void | Wayland_display_destroy_pointer_constraints (SDL_VideoData *d)
int | Wayland_input_lock_pointer (struct SDL_WaylandInput *input)
int | Wayland_input_unlock_pointer (struct SDL_WaylandInput *input)
void | Wayland_display_add_relative_pointer_manager (SDL_VideoData *d, uint32_t id)
void | Wayland_display_destroy_relative_pointer_manager (SDL_VideoData *d)

## Function Documentation

## Wayland_display_add_input()

void Wayland_display_add_input | ( | SDL_VideoData * | d,
|  | uint32_t | id
| ) |  |

## Wayland_display_add_pointer_constraints()

void Wayland_display_add_pointer_constraints | ( | SDL_VideoData * | d,
|  | uint32_t | id
| ) |  |

## Wayland_display_add_relative_pointer_manager()

void Wayland_display_add_relative_pointer_manager | ( | SDL_VideoData * | d,
|  | uint32_t | id
| ) |  |

## Wayland_display_destroy_input()

void Wayland_display_destroy_input | ( | SDL_VideoData * | d | ) |

## Wayland_display_destroy_pointer_constraints()

void Wayland_display_destroy_pointer_constraints | ( | SDL_VideoData * | d | ) |

## Wayland_display_destroy_relative_pointer_manager()

void Wayland_display_destroy_relative_pointer_manager | ( | SDL_VideoData * | d | ) |

## Wayland_get_data_device()

SDL_WaylandDataDevice* Wayland_get_data_device | ( | struct SDL_WaylandInput * | input | ) |

## Wayland_input_lock_pointer()

int Wayland_input_lock_pointer | ( | struct SDL_WaylandInput * | input | ) |

## Wayland_input_unlock_pointer()

int Wayland_input_unlock_pointer | ( | struct SDL_WaylandInput * | input | ) |

## Wayland_PumpEvents()

void Wayland_PumpEvents | ( | _THIS |  | ) |